Bug 28748 - kernel compilation under rc1
kernel compilation under rc1
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-21 17:51 EST by Jeff Lane
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-21 23:31:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Lane 2001-02-21 17:51:34 EST
Just did an Everything install via nfs of RC1.

Install proceeded fine, and reboot successful.  X starts successfully.

Hardware:

IBM Netfinity 3000
PIII 600
440BX motherboard
INTEL USB controller
S3 Virge video card
EEPro 100 NIC


FIrst attempt was kernel compile.
make mrpoper works fine
make oldconfig is fine but halts with options that are new (answering yes
or no works for these)
make xconfig fails with following dump:

[root@jay linux-2.4]# make xconfig
rm -f include/asm
( cd include ; ln -sf asm-i386 asm)
make -C scripts kconfig.tk
make[1]: Entering directory `/usr/src/linux-2.4.1/scripts'
cat header.tk >> ./kconfig.tk
./tkparse < ../arch/i386/config.in >> kconfig.tk
net/ipv4/netfilter/ip_vs/Config.in: 9: incorrect argument
make[1]: *** [kconfig.tk] Error 1
make[1]: Leaving directory `/usr/src/linux-2.4.1/scripts'
make: *** [xconfig] Error 2

make menuconfig successful.

Havent finished the compile yet... but the xconfig thing bugs me.

After I finish the compile ( probably tomorrow) I will update this.

Note, this is done immediately after a new install of RC1, custom install
with everything selected.
Comment 1 Michael K. Johnson 2001-02-21 23:31:43 EST
The most correct thing to do is "make mrproper" followed by copying the
correct file out of the configs directory, followed by make config
or make xconfig or make oldconfig.

However, this is still a bug.  :-)
Comment 2 Arjan van de Ven 2001-02-22 04:57:21 EST
Fixed. The fix will be in the next kernel-build.

Note You need to log in before you can comment on or make changes to this bug.